package com.kmall.manager.service.impl;

import com.kmall.manager.dao.CusPayDataOpenDao;
import com.kmall.manager.entity.CusPayDataOpenEntity;
import com.kmall.manager.service.CusPayDataOpenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-28 11:17:08
 */
@Service("cusPayDataOpenService")
public class CusPayDataOpenServiceImpl implements CusPayDataOpenService {
    @Autowired
    private CusPayDataOpenDao cusPayDataOpenDao;

    @Override
    public CusPayDataOpenEntity queryObject(Long id) {
        return cusPayDataOpenDao.queryObject(id);
    }

    @Override
    public List<CusPayDataOpenEntity> queryList(Map<String, Object> map) {
        return cusPayDataOpenDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return cusPayDataOpenDao.queryTotal(map);
    }

    @Override
    public int save(CusPayDataOpenEntity cusPayDataOpen) {
        return cusPayDataOpenDao.save(cusPayDataOpen);
    }

    @Override
    public int update(CusPayDataOpenEntity cusPayDataOpen) {
        return cusPayDataOpenDao.update(cusPayDataOpen);
    }

    @Override
    public int delete(Long id) {
        return cusPayDataOpenDao.delete(id);
    }

    @Override
    public int deleteBatch(Long[]ids) {
        return cusPayDataOpenDao.deleteBatch(ids);
    }

    @Override
    public CusPayDataOpenEntity queryObjectByOrderNo(String orderNo) {
        return cusPayDataOpenDao.queryObjectByOrderNo(orderNo);
    }
}
